Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class SmartKey

    java.lang.Object
      |
      +--theory.smart.foundation.SmartKey

Direct Known Subclasses:
  AccountEntryPk, AccountPk, AlphaNumericSequencerPk, BusinessSmartWorkAreaPk, CustomerProfilePk, EBusinessSessionPk, EmptySmartKey, InvoicePk, ItemInventoryPk, ItemPk, ItemQualitiesPk, ItemsByQualityPk, MailboxPk, OrderPk, PackingListPk, ShippingMethodPk, StakeholderPk, TroubleTicketPk, UnitConversionPk, UnitListPk

public abstract class SmartKey
extends java.lang.Object
implements com.sun.java.util.collections.Comparable, java.io.Serializable

For each BSC Entity there must be a primary key class derived from SmartKey. Implementing SmartKey requires that the classes be serializable and comparable. This ensures that the SmartHandle mechanism is supported.

See Also:
  `SmartHandle`, `Entity`, Serialized Form

Constructor Summary
`SmartKey()`

Method Summary
`abstract int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmartKey

    public SmartKey()

Method Detail

### compareTo

    public abstract int compareTo(java.lang.Object o)

  Specified by:
    compareTo in interface com.sun.java.util.collections.Comparable

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.